Skip to content

Cache admin-managed OAuth credentials

POST /admin/managedOAuth/cache

Validates the RingCentral administrator and caches sensitive managed OAuth client values for the account until the connector OAuth flow activates them. Existing pending values can be replaced.

Operation ID: postAdminManagedOauthCache
Authorization: API key or API key

Request body

Managed OAuth values cached until the account OAuth flow completes.

Required: Yes

Content type: application/json

Schema: AdminManagedOAuthCacheRequest

{
  "values": {
    "clientId": "managed-oauth-client",
    "clientSecret": "example-client-secret",
    "authorizationUri": "https://crm.example.com/oauth/authorize",
    "accessTokenUri": "https://crm.example.com/oauth/token",
    "scopes": [
      "contacts.read",
      "activities.write"
    ]
  }
}

Responses

Status Description Body
200 The pending managed OAuth values were cached. BasicMutationResponse
400 Bad request, missing authentication, or connector error. ErrorResponse, string
403 The caller is authenticated but is not permitted to perform the operation. ErrorResponse, string